<?php

require_once("checkaccess.php");

//************************************
//  Paul Gibbs copyright 2024
//  paulvgibbs@gmail.com
//************************************

//	30/12/2024 V2.9.6
//	<strong> changed to </b>
//	Unused variables removed.

//-----------------------------------------
//This page displays the user details for the logged in user.
//------------------------------------

	error_reporting(E_ALL & ~E_NOTICE & ~E_STRICT);	

	require_once("../lang/file.php");
	require_once("../../classes/clsinput.php");
	require_once("../../dbclass/Db.class.php");
	require_once("../../functions/misc.php");

//----------------------------------------------
main();


//----------------------------------------------
//Purpose : Starts the page
function main() {
	
	$inputSubmit = input::get('Update');

	if ( $inputSubmit == "") {
		$username = $_SESSION['username'];
		display("", $username);
		exit();
	}
	else
	{ 
	
		$username = $_SESSION['username'];
	
		$name 				= filter_var( $_POST['txtName'], FILTER_SANITIZE_STRING );
		$telephone 			= filter_var( $_POST['txtTelephone'], FILTER_SANITIZE_STRING );
		$mobile				= filter_var( $_POST['txtMobile'], FILTER_SANITIZE_STRING );	
		$address_line1		= filter_var( $_POST['txtAddress_Line1'], FILTER_SANITIZE_STRING );
		$address_line2		= filter_var( $_POST['txtAddress_Line2'], FILTER_SANITIZE_STRING );
		$city				= filter_var( $_POST['txtCity'], FILTER_SANITIZE_STRING );
		$state				= filter_var( $_POST['txtState'], FILTER_SANITIZE_STRING );		
		$zip_post_code		= filter_var( $_POST['txtZip_Post_Code'], FILTER_SANITIZE_STRING );
		$country			= filter_var( $_POST['txtCountry'], FILTER_SANITIZE_STRING );
	
		update($name, $telephone, $mobile, $address_line1, $address_line2, 
			   		$city, $state, $zip_post_code, $country, $username);	
	
	}

}
//-----------------------------------
//Purpose : Update the selected item
//Inputs : $name, $telephone, $mobile, $address_line1, $address_line2, $city, $zip_post_code, $country, $recid
function update($name, $telephone, $mobile, $address_line1, $address_line2, 
					$city, $state, $zip_post_code, $country, $payer_email) {
	
	//echo($name);
	//echo($telephone);
	//echo($mobile);
	//echo($address_line1);
	//echo($address_line2);
	//echo($city);
	//echo($state);
	//echo($zip_post_code);
	//echo($country);
	//echo($payer_email);	
	//exit();
	
	updatetbluserspayer_email($name, $telephone, $mobile, $address_line1, $address_line2,
								$city, $zip_post_code, $country, $state, $payer_email );

	//echo($rowsaffected);
	//exit();
	
	display("Record updated "  . date("Y-m-d H:i:s"), $payer_email);
	exit();

}
//----------------------------------------------
//Purpose : Displays the change password box
//Inputs : 
function display($msg, $username) {

	include("../lang/file.php");
	
	//echo($msg . " " . $username);
	//exit();	
	
	$items = userpersondetailspayer_email($username);

	if (count($items) == 1) {
	
		$name 				= $items[0]["name"];
		$telephone 			= $items[0]["telephone"];		
		$mobile				= $items[0]["mobile"];		
		$address_line1		= $items[0]["address_line1"];
		$address_line2		= $items[0]["address_line2"];
		$city				= $items[0]["city"];
		$state				= $items[0]["state"];
		$zip_post_code		= $items[0]["zip_post_code"];
		$country			= $items[0]["country"];
		
	} else {
		display( "Error with table, record not found ", $username );
		exit();
	}


	?>
	<?php include("../includes/header.php"); ?>
	<form name="frmUpdate" method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>" >

	    <table border="0" align="center" cellpadding="0" cellspacing="0">
        
        	<tr>
            	<td align="center"><a href="menu.php"><?php echo($L_CHANGEPW['RETURNTOMAINMENU']); ?></a></td>
            </tr>
        
           	<tr align="center">
				<td class="red"><?php if ($msg == "") {echo("&nbsp;");} else {echo($msg);}?></td>
			</tr>	
        
			<tr>
      		<td>
			
				<table border="0" align="center" width="550" cellpadding="0" cellspacing="0">

				<tr class="darkblue">
					<td colspan="4">&nbsp;</td>
				</tr>           

				<tr class="darkblue">
					<td></td>
					<td width="15">&nbsp;</td>
					<td>		
						<input type="submit" name="Update" value="<?php echo($L_USERDETAILS['UPDATE']); ?>" class="inputsubmit" />
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkblue">
					<td colspan="4">&nbsp;</td>
				</tr>           

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>

				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['NAME']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtName" value="<?php echo($name); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>
		
				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>

				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['TELEPHONE']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtTelephone" value="<?php echo($telephone); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>

				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['MOBILE']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtMobile" value="<?php echo($mobile); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>

				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['ADDRESSLINE1']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtAddress_Line1" value="<?php echo($address_line1); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>

				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['ADDRESSLINE2']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtAddress_Line2" value="<?php echo($address_line2); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>
            
				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['CITY']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtCity" value="<?php echo($city); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>
            
				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['STATE']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtState" value="<?php echo($state); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>
                        
				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['COUNTRY']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtCountry" value="<?php echo($country); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>

				<tr class="lightgrey">
					<td align="right"><b><?php echo($L_USERDETAILS['ZIP_POST_CODE']); ?></b></td>
					<td width="15">&nbsp;</td>
					<td>
						<input type="text" name="txtZip_Post_Code" value="<?php echo($zip_post_code); ?>" class="inputbox" />	
					</td>
					<td width="10">&nbsp;</td>
				</tr>

				<tr class="darkgrey">
					<td colspan="4">&nbsp;</td>
				</tr>
            
			</table>
	
			</td>
			</tr>	  
		</table>

	</form>
	<?php include("../includes/footer.php"); ?>
	
	<?php

}

?>